using Domain.Entities;

namespace Models.Interfaces
{
    public interface IPhSProfessionalSpecialtyRepository
    {
        Task<IEnumerable<EProfessionalSpecialty>> GetAllAsync();
        Task<EProfessionalSpecialty?> GetByNameAsync(string name);
    }
}
